/*
 * (C) Copyright Bora Software Inc. 2002, 2003 - All Rights Reserved.
 *
 * $Id: AbstractCommand.java,v 1.6 2002/11/29 21:05:06 kboo Exp $
 */
package com.bs.xdbms.cli;

import org.xmldb.api.base.*;
import org.xmldb.api.modules.*;
import org.xmldb.api.*;

import java.io.*;

import org.w3c.dom.*;
import org.xml.sax.SAXException;

import javax.xml.parsers.ParserConfigurationException;
import javax.xml.parsers.*;

abstract class AbstractCommand {

  protected Collection currentCollection;

  abstract public void execute() throws Exception;

  public Collection getCurrentCollection() {
    return currentCollection;
  }

  /*
  protected Collection getDefaultCollection() throws Exception {
    Collection col = null;
    String driver = "com.bs.xdbms.xmldb.base.Database";
    Class c = Class.forName(driver);
     
    Database database = (Database)c.newInstance();
    DatabaseManager.registerDatabase(database);
    col = DatabaseManager.getCollection
      ("xmldb:myxdb://localhost/root","root","");      

    return col;
  }
  */

  protected Document getDocument(String fname)
      throws IOException, SAXException, ParserConfigurationException {
    DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
    factory.setNamespaceAware(true);
    DocumentBuilder builder = factory.newDocumentBuilder();
    Document document = builder.parse(fname);
    return document;
  }
}
