/*
 * (C) Copyright Bora Software Inc. 2002, 2003 - All Rights Reserved.
 *
 * $Id: Dir.java,v 1.3 2002/10/20 03:01:33 kboo Exp $
 */

package com.bs.xdbms.cli;

import java.io.*;

class Dir {

  public void execute() throws Exception {
    String cwd = System.getProperty("user.dir");
    System.out.println(" Directory of " + cwd + "\n");
    File currentDir = new File(cwd);
    File[] files = currentDir.listFiles();
    File file = null;
    int fileCount = 0;
    int dirCount = 0;
    for (int i=0; i<files.length; i++) {
      file = files[i];
      if (file.isDirectory()) {
        System.out.println("[" + file.getName() + "]");
        dirCount++;
      } else {
        System.out.println(file.getName());
        fileCount++;
      }
    }
    System.out.println("\t" + fileCount + " File(s)");
    System.out.println("\t" + dirCount + " Dir(s)");
  }

}
