/*
 * (C) Copyright Bora Software Inc. 2002, 2003 - All Rights Reserved.
 *
 * $Id: ListResources.java,v 1.5 2002/12/08 00:11:02 kboo Exp $
 */
package com.bs.xdbms.cli;

import org.xmldb.api.base.*;
import org.xmldb.api.modules.*;
import org.xmldb.api.*;

import java.io.*;

import org.w3c.dom.*;
import org.xml.sax.SAXException;

import javax.xml.parsers.ParserConfigurationException;
import javax.xml.parsers.*;

class ListResources extends AbstractCommand {

  public ListResources(Collection collection) {
    currentCollection = collection;
  }

  public void execute() throws Exception {
    Collection collection = null;
    try {
      collection = getCurrentCollection();
      String[] resources = collection.listResources();
      for (int i=0; i<resources.length; i++)
        System.out.println("XML document: " + resources[i]);
    } catch (XMLDBException e) {
      e.printStackTrace();
      System.err.println("XML:DB Exception occured " + e.errorCode);
    } catch (Exception e3) {
      e3.printStackTrace();
    }
  }

}
