/*
 * (C) Copyright Bora Software Inc. 2002, 2003 - All Rights Reserved.
 *
 * $Id: XNamespace.java,v 1.5 2002/10/20 03:01:35 kboo Exp $
 */
package com.bs.xdbms.datamodel;

public class XNamespace extends XNode {
    
  private XNamespace() {
  }

  public XNamespace(String qname, String uri) {
    nodeKind = "namespace";
    name = qname; // prefix
    stringValue = uri; // namespace URI
  }

  public String getPrefix() {
    return getName();
  }

  public String getURI() {
    if (getPrefix() == null)
      return "";  // uri is an empty-sequence when prefix is null.
    else
      return getStringValue();
  }
}
