package com.bs.xdbms.util;

import java.sql.*;

public class ConnectionManager {
  private static String driver = "org.gjt.mm.mysql.Driver";
  private static boolean loaded = false;
  	
  private static String uri = "jdbc:mysql://localhost/MYXDB_2003";
  private static String userId;
  private static String password;
  
  private ConnectionManager() {
  }

  public static void setDriver(String jdbcDriver) {
  	driver = jdbcDriver;
  }
   
  public static void setURI(String jdbcURI) {
  	uri = jdbcURI;
  }
  
  public static void setUserId(String id) {
  	userId = id;
  }
  
  public static void setPassword(String passwd) {
  	password = passwd;
  }
  
  public static Connection createConnection() 
      throws ClassNotFoundException, SQLException {
    if (!loaded) {
      Class.forName(driver);
      loaded = true;
    }

    if (userId == null) {
      userId = "root";
      password = "";
    }

    Connection conn = DriverManager.getConnection(uri,userId,password);
  	return conn;
  }
}
