/*
 * (C) Copyright Bora Software Inc. 2002, 2003 - All Rights Reserved.
 *
 * $Id: Delete.java,v 1.4 2002/12/05 21:29:34 kboo Exp $
 */

package com.bs.xdbms.cli;

import org.xmldb.api.base.*;
import org.xmldb.api.modules.*;
import org.xmldb.api.*;

import java.io.*;

import org.w3c.dom.*;

import org.xml.sax.SAXException;

import javax.xml.parsers.ParserConfigurationException;
import javax.xml.parsers.*;

class Delete extends AbstractCommand {
  private String xml;

  public Delete(Collection collection, String arg) {
    currentCollection = collection;
    xml = arg;
  }

  public void execute() throws Exception {
    System.out.println("Removing " + xml + " from the collection.");
    Collection col = null;
    try {
      col = getCurrentCollection();
      col.removeResource(col.getResource(xml));
    } catch (Exception e2) {
      e2.printStackTrace();
    }
  }
}
