/*
 * (C) Copyright Bora Software Inc. 2002, 2003 - All Rights Reserved.
 *
 * $Id: TransactionServiceImpl.java,v 1.2 2002/10/20 03:01:35 kboo Exp $
 */
package com.bs.xdbms.xmldb.modules;

import org.xmldb.api.base.*;
import org.xmldb.api.modules.TransactionService;

import com.bs.xdbms.xmldb.base.ServiceImpl;

/**
 * Provides the ability to bundle <code>Collection</code> operations into a
 * transaction.
 * <p />
 * <b>Note: This interface needs much better definition</b>
 */
final public class TransactionServiceImpl 
    extends ServiceImpl
    implements TransactionService {

  /**
    * Begin the transaction
    *
    * @exception XMLDBException with expected error codes.<br />
    *  <code>ErrorCodes.VENDOR_ERROR</code> for any vendor
    *  specific errors that occur.<br /> 
    */
   public void begin() throws XMLDBException {
     // TBD
   }

   /**
    * Commit the transaction
    *
    * @exception XMLDBException with expected error codes.<br />
    *  <code>ErrorCodes.VENDOR_ERROR</code> for any vendor
    *  specific errors that occur.<br />
    */
   public void commit() throws XMLDBException {
     // TBD
   }

   /**
    * Rollback the transaction
    *
    * @exception XMLDBException with expected error codes.<br />
    *  <code>ErrorCodes.VENDOR_ERROR</code> for any vendor
    *  specific errors that occur.<br />
    */
   public void rollback() throws XMLDBException {
     // TBD
   }
}